!set title=Phrases dans le désordre
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Bernadette Perrin-Riou
email=bpr@math.u-psud.fr
language=fr
computeanswer=no

ansorder=r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r
varcnt=91
prevarcnt=90
postvarcnt=0
replycnt=49
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=data_phrase
!readproc slib/utilities/notepad Notepad,small 
tmp0=$slib_out
val7=$(tmp0)
tmp0=!nosubst Mettre les phrases dans l'ordre

val8=$(tmp0)
tmp0=!nosubst 

val9=$(tmp0)
val10=
val11=
val12=no
val13=no
val14=no
val15=no
val16=yes
val17=800x40
val18=split
val19=1
val20=aucune de ces possibilités
val21=compose
val22=
val23=
val24=
val25=
val26=
val27=background-color: #FFFFCC; margin: 0% 0%; padding: 0%;
val28=background-color: #FFCC99; color: black; margin: 0% 0%; padding: 0%;
val29=
val30=ol li {list-style: upper-alpha; }
val31=yes
val32=inside
val33=yes
val34=1
val35=
val36=
val37=
val38=---
tmp=!nonempty items $val6

tmp0=!randitem $tmp
val39=$(tmp0)
tmp0=!recordcnt $val39

val40=$[rint($(tmp0))]
val41=1
val42=1
val43=3

!ifval $val21 iswordof case 
val44= autocomplete=off
!endif
tmp0=!replace internal - by in $val38

val38=$(tmp0)
val45=$val22,$val23,$val24

!ifval $val25 = 
val25=++>
!endif

!ifval $val34 notwordof 0 
val34=$[rint( 1)]
!endif

!ifval $val26!=yes 
val46= noreaccent
!else
val46=
!endif

!ifval $val31 issametext no 
!readproc slib/utilities/nopaste  
tmp0=$slib_out
val47= $(tmp0)
!endif

!ifval $val8 issametext 
tmp0=!getdef instruction in $val39

val8= $(tmp0)
!endif

!ifval $val9 issametext 
tmp0=!getdef instruction2 in $val39

val9= $(tmp0)
!endif

!ifval $val17 issametext 
tmp0=!getdef size in $val39

val17= $(tmp0)
!endif

!ifval $val13 issametext 
tmp0=!getdef reading_file in $val39

val13= $(tmp0)
!endif
tmp0=!record 0 of $val13

val48=$(tmp0)

!ifval $val12 issametext 
tmp0=!getdef audio_file in $val39

val12= $(tmp0)
!endif

!ifval $val12 notsametext  and  $val12 notsametext no
!readproc slib/media/audio $val1/$val12,player=$val38 
tmp0=$slib_out
val49= 	<p align="center">$(tmp0)</p>
!endif

!ifval $val14 issametext 
tmp0=!getdef image_file in $val39

val14= $(tmp0)
!endif

!ifval $val14 notsametext  and  $val14 notsametext no
tmp0=!makelist <img src=$val1/x> for x in $val14

val50= 	$(tmp0)
!endif

!ifval $val15 issametext 
tmp0=!getdef video_file in $val39

val15= $(tmp0)
!endif
!if $val15 notsametext  and  $val15 notsametext no 

!ifval http notin $val15 
val15= $val1/$val15
!endif

!ifval $val15 notsametext 
val51= <a wims_target=external href="$val15">[video] </a></p>
!endif
!endif

!ifval $val10 issametext 
tmp0=!getdef choice in $val39

val52= $(tmp0)
!else
val52=$val10
!endif
val53=<style type="text/css">	 .question {$val27}	 .reponse {$val28}	 .oefstatement{$val29}	 $val30	 </style>	 

!ifval $val36 notwordof 1 2 3 4 5 6 7 8 9 10 
val36= 1
!endif

!ifval $val21 iswordof dragfill clickfill 
val17= $val17 x 1
!endif
val42=$[rint(min($val40,$val42))]
val41=$[rint(min($val42*$val41,$val40))]

!ifval $val16 issametext yes 
tmp0=!shuffle $val40

val54= $(tmp0) 
!else
tmp1=!makelist x for x = 1 to $val40

val54=	$(tmp1)
!endif
val55=
tmp=!nonempty items $val6

tmp0=!randitem $tmp
tmp1=!randrecord $(tmp0)

val56=$(tmp1)
tmp0=!embraced randitem $val56

val56=$(tmp0)
tmp=!translate internal $	$ to ; in $val56

tmp=!row 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val57=$(tmp0)
tmp0=!getopt audio in $val57

val58=$(tmp0)
tmp0=!getopt image in $val57

val59=$(tmp0)
tmp0=!getopt title in $val57

val60=$(tmp0)
tmp0=!getopt intro in $val57

val61=$(tmp0)

!ifval $val58$val59$val60$val61  notsametext 
val62= 1 
!else
val62= 0
!endif
val63=

!ifval $val60 notsametext 
val63=$val63<p align="center">$val60</p>
!endif

!ifval $val61 notsametext 
val63=$val63 $val61
!endif

!ifval $val59 notsametext 
val63= $val63 <p align="center"><img src=$val1/$val59></p>
!endif
!if $val58 notsametext  

!ifval . isin $val58 or $val37= 
!readproc slib/media/audio $val1/$val58,player=$val38 
tmp0=$slib_out
val64= 	       $(tmp0)
!else
!readproc slib/lang/swac $val58,$val37,player=$val38 
tmp1=$slib_out
val64=$(tmp1)
!endif
val63=$val63 <p align="center">$(val64[1;1])</p>
!endif

!ifval $val62=1  
val65= $val63
!else
val65=
!endif

!ifval $val62=1 
tmp0=!line 2 to -1 of $val56

val56= $(tmp0)
!endif
tmp=!translate internal $	$ to ; in $val56

tmp0=!rowcnt $tmp
val66=$[rint($(tmp0))]
!for val67  = 1 to $val66 
tmp0=!replace internal , by &#44; in  $(val56[$val67;])

val68=$(tmp0)
tmp0=!replace internal / by  in  $val68

val68=$(tmp0)
tmp0=!nonempty items $val68

val68=$(tmp0)
val55=$val55,$val68
!next
tmp0=!nonempty items $val55

val55=$(tmp0)
tmp0=!itemcnt $val55

val66=$[rint($(tmp0))]
tmp0=!makelist r x for x = 1 to $val66

val69=$(tmp0)
oefsteps=$val69 
nextstep=!nosubst $val69 
!readproc oef/steps.proc
replytype1=dragfill
replyname1=
replygood1=$(val55[1]);
replytype2=dragfill
replyname2=
replygood2=$(val55[2]);
replytype3=dragfill
replyname3=
replygood3=$(val55[3]);
replytype4=dragfill
replyname4=
replygood4=$(val55[4]);
replytype5=dragfill
replyname5=
replygood5=$(val55[5]);
replytype6=dragfill
replyname6=
replygood6=$(val55[6]);
replytype7=dragfill
replyname7=
replygood7=$(val55[7]);
replytype8=dragfill
replyname8=
replygood8=$(val55[8]);
replytype9=dragfill
replyname9=
replygood9=$(val55[9]);
replytype10=dragfill
replyname10=
replygood10=$(val55[10]);
replytype11=dragfill
replyname11=
replygood11=$(val55[11]);
replytype12=dragfill
replyname12=
replygood12=$(val55[12]);
replytype13=dragfill
replyname13=
replygood13=$(val55[13]);
replytype14=dragfill
replyname14=
replygood14=$(val55[14]);
replytype15=dragfill
replyname15=
replygood15=$(val55[15]);
replytype16=dragfill
replyname16=
replygood16=$(val55[16]);
replytype17=dragfill
replyname17=
replygood17=$(val55[17]);
replytype18=dragfill
replyname18=
replygood18=$(val55[18]);
replytype19=dragfill
replyname19=
replygood19=$(val55[19]);
replytype20=dragfill
replyname20=
replygood20=$(val55[20]);
replytype21=dragfill
replyname21=
replygood21=$(val55[21]);
replytype22=dragfill
replyname22=
replygood22=$(val55[22]);
replytype23=dragfill
replyname23=
replygood23=$(val55[23]);
replytype24=dragfill
replyname24=
replygood24=$(val55[24]);
replytype25=dragfill
replyname25=
replygood25=$(val55[25]);
replytype26=dragfill
replyname26=
replygood26=$(val55[26]);
replytype27=dragfill
replyname27=
replygood27=$(val55[27]);
replytype28=dragfill
replyname28=
replygood28=$(val55[28]);
replytype29=dragfill
replyname29=
replygood29=$(val55[29]);
replytype30=dragfill
replyname30=
replygood30=$(val55[30]);
replytype31=dragfill
replyname31=
replygood31=$(val55[31]);
replytype32=dragfill
replyname32=
replygood32=$(val55[32]);
replytype33=dragfill
replyname33=
replygood33=$(val55[33]);
replytype34=dragfill
replyname34=
replygood34=$(val55[34]);
replytype35=dragfill
replyname35=
replygood35=$(val55[35]);
replytype36=dragfill
replyname36=
replygood36=$(val55[36]);
replytype37=dragfill
replyname37=
replygood37=$(val55[37]);
replytype38=dragfill
replyname38=
replygood38=$(val55[38]);
replytype39=dragfill
replyname39=
replygood39=$(val55[39]);
replytype40=dragfill
replyname40=
replygood40=$(val55[40]);
replytype41=dragfill
replyname41=
replygood41=$(val55[41]);
replytype42=dragfill
replyname42=
replygood42=$(val55[42]);
replytype43=dragfill
replyname43=
replygood43=$(val55[43]);
replytype44=dragfill
replyname44=
replygood44=$(val55[44]);
replytype45=dragfill
replyname45=
replygood45=$(val55[45]);
replytype46=dragfill
replyname46=
replygood46=$(val55[46]);
replytype47=dragfill
replyname47=
replygood47=$(val55[47]);
replytype48=dragfill
replyname48=
replygood48=$(val55[48]);
replytype49=dragfill
replyname49=
replygood49=$(val55[49]);
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()$val47$val53 $val8 $val65	   
!if $val48 notsametext  
$() 
!read oef/special.phtml help reading,[à lire] 
$() 
!endif
$()	   
!if $val50 notsametext  
$() 
!read oef/special.phtml help image,[à regarder] 
$() 
!endif
$()	  $val49$val51	  <p>	   
!for m_h = 1 to $val66 
$()  	 <div class="question"><b>$m_h  : </b> 
!read oef/embed.phtml reply \h,$val17 
$() </div>	   
!next
$()	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:latex
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=8,17,47,48,49,50,51,53,65,66
embedcnt=3
